Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.simulation.plot
Class Plot

    java.lang.Object
      com.beanexplorer.beans.Option
          ru.biosoft.access.MutableDataElementSupport
              biouml.plugins.simulation.plot.Plot

All Implemented Interfaces:
  DataElement, MutableDataElement

public class Plot
extends MutableDataElementSupport

Field Summary
`protected java.lang.String` | `description`
`protected biouml.plugins.simulation.plot.Plot.SeriesRowModel` | `rowModel`
`protected java.util.List` | `series`
`protected java.lang.String` | `title`
`protected double` | `xFrom`
`protected java.lang.String` | `xTitle`
`protected double` | `xTo`
`protected double` | `yFrom`
`protected java.lang.String` | `yTitle`
`protected double` | `yTo`

Fields inherited from class ru.biosoft.access.MutableDataElementSupport
`name`

Fields inherited from class com.beanexplorer.beans.Option
`notificationEnabled, propagationEnabled`

Constructor Summary
`Plot(java.lang.String name, DataCollection origin)`
`Plot(java.lang.String name, DataCollection origin, java.util.List series)`
`Plot(java.lang.String name, java.util.List series)`

Method Summary
`void` | `addSeries(Series s)`
`static Plot` | `createDefaultPlot(DataCollection plotCollection)`
`static Series` | `getDefaultSeries()`
`static Series` | `getDefaultSeries(java.lang.String xName, java.lang.String yName, java.lang.String selectedResultName)`
`java.lang.String` | `getDescription()`
`com.beanexplorer.swing.table.RowModel` | `getRowModel()`
`java.util.List` | `getSeries()`
`java.lang.String` | `getTitle()`
`double` | `getXFrom()`
`java.lang.String` | `getXTitle()`
`double` | `getXTo()`
`double` | `getYFrom()`
`java.lang.String` | `getYTitle()`
`double` | `getYTo()`
`void` | `removeAllSeries()`
`void` | `removeSeries(int index)`
`void` | `setDescription(java.lang.String description)`
`void` | `setTitle(java.lang.String title)`
`void` | `setXFrom(double xFrom)`
`void` | `setXTitle(java.lang.String xTitle)`
`void` | `setXTo(double xTo)`
`void` | `setYFrom(double yFrom)`
`void` | `setYTitle(java.lang.String yTitle)`
`void` | `setYTo(double yTo)`

Methods inherited from class ru.biosoft.access.MutableDataElementSupport
`getName, getOrigin, toString`

Methods inherited from class com.beanexplorer.beans.Option
`addPropertyChangeListener, copyListenersTo, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getParent, isNotificationEnabled, isPropagationEnabled, removePropertyChangeListener, setNotificationEnabled, setParent, setPropagationEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface ru.biosoft.access.MutableDataElement
`addPropertyChangeListener, removePropertyChangeListener`

Field Detail

### series

    protected java.util.List series

### title

    protected java.lang.String title

### description

    protected java.lang.String description

### xTitle

    protected java.lang.String xTitle

### xTo

    protected double xTo

### xFrom

    protected double xFrom

### yTitle

    protected java.lang.String yTitle

### yTo

    protected double yTo

### yFrom

    protected double yFrom

### rowModel

    protected biouml.plugins.simulation.plot.Plot.SeriesRowModel rowModel

Constructor Detail

### Plot

    public Plot(java.lang.String name,
                DataCollection origin,
                java.util.List series)
         throws java.lang.Exception

### Plot

    public Plot(java.lang.String name,
                DataCollection origin)

### Plot

    public Plot(java.lang.String name,
                java.util.List series)
         throws java.lang.Exception

Method Detail

### getSeries

    public java.util.List getSeries()

### removeAllSeries

    public void removeAllSeries()

### addSeries

    public void addSeries(Series s)

### removeSeries

    public void removeSeries(int index)

### getTitle

    public java.lang.String getTitle()

### setTitle

    public void setTitle(java.lang.String title)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getXTitle

    public java.lang.String getXTitle()

### setXTitle

    public void setXTitle(java.lang.String xTitle)

### getXTo

    public double getXTo()

### setXTo

    public void setXTo(double xTo)

### getXFrom

    public double getXFrom()

### setXFrom

    public void setXFrom(double xFrom)

### getYTitle

    public java.lang.String getYTitle()

### setYTitle

    public void setYTitle(java.lang.String yTitle)

### getYTo

    public double getYTo()

### setYTo

    public void setYTo(double yTo)

### getYFrom

    public double getYFrom()

### setYFrom

    public void setYFrom(double yFrom)

### getRowModel

    public com.beanexplorer.swing.table.RowModel getRowModel()

### getDefaultSeries

    public static Series getDefaultSeries(java.lang.String xName,
                                          java.lang.String yName,
                                          java.lang.String selectedResultName)

### getDefaultSeries

    public static Series getDefaultSeries()

### createDefaultPlot

    public static Plot createDefaultPlot(DataCollection plotCollection)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.